|
@@ -0,0 +1,37 @@
|
|
|
+#! /bin/sh -e
|
|
|
+## 05_log_to_file.dpatch by <weasel@debian.org>
|
|
|
+##
|
|
|
+## All lines beginning with `## DP:' are a description of the patch.
|
|
|
+## DP: No description.
|
|
|
+
|
|
|
+if [ $# -lt 1 ]; then
|
|
|
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
|
|
|
+ exit 1
|
|
|
+fi
|
|
|
+
|
|
|
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
|
|
|
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
|
|
|
+
|
|
|
+case "$1" in
|
|
|
+ -patch) patch -p1 ${patch_opts} < $0;;
|
|
|
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
|
|
|
+ *)
|
|
|
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
|
|
|
+ exit 1;;
|
|
|
+esac
|
|
|
+
|
|
|
+exit 0
|
|
|
+
|
|
|
+@DPATCH@
|
|
|
+diff -urNad cvs/src/config/torrc.sample.in /tmp/dpep.5IEZdW/cvs/src/config/torrc.sample.in
|
|
|
+--- cvs/src/config/torrc.sample.in 2004-11-10 03:09:14.931082420 +0100
|
|
|
++++ /tmp/dpep.5IEZdW/cvs/src/config/torrc.sample.in 2004-11-10 04:34:35.090758448 +0100
|
|
|
+@@ -19,6 +19,8 @@
|
|
|
+
|
|
|
+ # Logs go to stdout unless redirected by something else, like one of
|
|
|
+ # the below lines, or --logfile on the command line.
|
|
|
++### Send all messages of level 'notice' or higher to @LOCALSTATEDIR@/log/tor/log
|
|
|
++Log warn file @LOCALSTATEDIR@/log/tor/log
|
|
|
+ ### Send all messages of level 'warn' or higher to @LOCALSTATEDIR@/log/tor/warnings
|
|
|
+ #Log warn file @LOCALSTATEDIR@/log/tor/warnings
|
|
|
+ ### Send all debug and info messages to @LOCALSTATEDIR@/log/tor/debug
|